/*--------------------------------------------------------------------------*/
/*                   Mandelmania - ARexx - Script - File                    */
/*--------------------------------------------------------------------------*/

/* This script was sent to me by Paolo Canali */

address 'rexx_mandelmania'
options results

signal on ERROR 
signal on BREAK_C 
signal on BREAK_D

pic      = 0

'getanimfilename'
animname = result

if result = 'RESULT' then do
	exit 0
	end

'openanim' animname'.anim' 

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '-1.481132075471698'
yc1     = '-0.02058823529411765'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

left2   = '-2'
right2  = '2'
bottom2 = '-2'
top2    = '2'
xc2     = '-1.216981132075472'
yc2     = '0.2882352941176471'
iter2   = 250

steps   = 30

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '-1.216981132075472'
yc1     = '0.2882352941176471'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

left2   = '-2'
right2  = '2'
bottom2 = '-2'
top2    = '2'
xc2     = '-0.7641509433962265'
yc2     = '0.1852941176470588'
iter2   = 250

steps   = 60

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '-0.7641509433962265'
yc1     = '0.1852941176470588'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

left2   = '-2'
right2  = '2'
bottom2 = '-2'
top2    = '2'
xc2     = '-0.6132075471698114'
yc2     = '0.4735294117647059'
iter2   = 250

steps   = 60

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '-0.6132075471698114'
yc1     = '0.4735294117647059'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

left2   = '-2'
right2  = '2'
bottom2 = '-2'
top2    = '2'
xc2     = '-0.3867924528301887'
yc2     = '0.6588235294117648'
iter2   = 250

steps   = 20

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '-0.3867924528301887'
yc1     = '0.6588235294117648'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

left2   = '-2'
right2  = '2'
bottom2 = '-2'
top2    = '2'
xc2     = '-0.1226415094339623'
yc2     = '0.8441176470588236'
iter2   = 250

steps   = 60

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps-1

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '-0.1226415094339623'
yc1     = '0.8441176470588236'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

left2   = '-2'
right2  = '2'
bottom2 = '-2'
top2    = '2'
xc2     = '0.3679245283018868'
yc2     = '0.5352941176470589'
iter2   = 250

steps   = 40

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '0.3679245283018868'
yc1     = '0.5352941176470589'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

left2   = '-2'
right2  = '2'
bottom2 = '-2'
top2    = '2'
xc2     = '0.3301886792452831'
yc2     = '0.0823529411764706'
iter2   = 250

steps   = 60

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '0.3301886792452831'
yc1     = '0.0823529411764706'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

left2   = '-2'
right2  = '2'
bottom2 = '-2'
top2    = '2'
xc2     = '0.2169811320754717'
yc2     = '-0.02058823529411765'
iter2   = 250

steps   = 40

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '0.2169811320754717'
yc1     = '-0.02058823529411765'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

left2   = '-2'
right2  = '2'
bottom2 = '-2'
top2    = '2'
xc2     = '0.4056603773584906'
yc2     = '-0.1852941176470588'
iter2   = 250

steps   = 40

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left1   = '-2'
right1  = '2'
bottom1 = '-2'
top1    = '2'
xc1     = '0.4056603773584906'
yc1     = '-0.1852941176470588'
iter1   = 250
type    = 1

/*--------------------------------------------------------------------------*/

ERROR:
BREAK_C:
BREAK_D:
if (RC ~= 0) then do
	say ' 'SIGL '*-*' SOURCELINE(SIGL)
	say 'Error' RC
	end

'openfractal' animname'.0'	/* For looped animations */
'saveanim'
'openfractal' animname'.1'
'saveanim'

'closeanim'

address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'
exit 0
