/*--------------------------------------------------------------------------*/
/*                   Mandelmania - ARexx - Script - File                    */
/*--------------------------------------------------------------------------*/

address 'rexx_mandelmania'
options results

signal on ERROR
signal on BREAK_C
signal on BREAK_D

'getanimfilename'
animname = result

if result = 'RESULT' then do
	exit 0
	end

'openanim' animname'.anim'

pic      = 0

/*--------------------------------------------------------------------------*/


left1   = '-2.5'
right1  = '1.5'
bottom1 = '-1.75'
top1    = '1.75'
xc1     = '-0.75'
yc1     = '0.08750000000000029'
iter1   = 32
type    = 0

'calculate' left1 right1 bottom1 top1 xc1 yc1 iter1 type
'saveanim'
if pic <= 1 then do
	'savefractal' animname'.'pic
	end

pic = pic+1

/*--------------------------------------------------------------------------*/


left2   = '-0.2875000000000003'
right2  = '-0.03750000000000021'
bottom2 = '0.9275'
top2    = '1.1375'
xc2     = '-0.75'
yc2     = '0.08750000000000029'
iter2   = 32

steps   = 10

do i=pic to pic+steps-1
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type
	'saveanim'
	if i <= 1 then do
		'savefractal' animname'.'i
		end
	end

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;
pic = pic+steps

/*--------------------------------------------------------------------------*/


left1   = '-2.5'
right1  = '1.5'
bottom1 = '-1.75'
top1    = '1.75'
xc1     = '-0.75'
yc1     = '0.08750000000000029'
iter1   = 32
type    = 0

'calculate' left1 right1 bottom1 top1 xc1 yc1 iter1 type
'saveanim'
if pic <= 1 then do
	'savefractal' animname'.'pic
	end

pic = pic+1

/*--------------------------------------------------------------------------*/


left2   = '-1.8875'
right2  = '-1.675'
bottom2 = '-0.08750000000000001'
top2    = '0.08750000000000001'
xc2     = '-0.75'
yc2     = '0.08750000000000029'
iter2   = 32

steps   = 10

do i=pic to pic+steps-1
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type
	'saveanim'
	if i <= 1 then do
		'savefractal' animname'.'i
		end
	end

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;
pic = pic+steps

/*--------------------------------------------------------------------------*/


left1   = '-2.5'
right1  = '1.5'
bottom1 = '-1.75'
top1    = '1.75'
xc1     = '-0.75'
yc1     = '0.08750000000000029'
iter1   = 32
type    = 0

'calculate' left1 right1 bottom1 top1 xc1 yc1 iter1 type
'saveanim'
if pic <= 1 then do
	'savefractal' animname'.'pic
	end

pic = pic+1

/*--------------------------------------------------------------------------*/


left2   = '0.225'
right2  = '0.4625'
bottom2 = '0.525'
top2    = '0.7350000000000001'
xc2     = '-0.75'
yc2     = '0.08750000000000029'
iter2   = 125

steps   = 10

do i=pic to pic+steps-1
	say 'interpolate' i-pic steps
	'interpolate' i-pic+1 steps left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type
	'saveanim'
	if i <= 1 then do
		'savefractal' animname'.'i
		end
	end

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;
pic = pic+steps

/*--------------------------------------------------------------------------*/


BREAK_C:
BREAK_D:

'openfractal' animname'.0'	/* For looped animations */
'saveanim'
'openfractal' animname'.1'
'saveanim'

'closeanim'

address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'
exit 0

ERROR:
if (RC ~= 0) then do
	say ' 'SIGL '*-*' SOURCELINE(SIGL)
	say '    Error' RC
	end

'closeanim'
address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'
exit 10

